Bug 226309 - Merge Review: postgresql-jdbc
Merge Review: postgresql-jdbc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:42 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 07:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 07:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:42:15 EST
Fedora Merge Review: postgresql-jdbc

http://cvs.fedora.redhat.com/viewcvs/devel/postgresql-jdbc/
Initial Owner: tgl@redhat.com
Comment 1 Chris Hubick 2009-06-27 16:42:15 EDT
Hi.

I was just wondering if there was any particular reason the JDBC4 driver isn't being shipped with Fedora yet?

I needed the SQL Array support, so I downloaded the upstream JDBC4 driver from the jdbc.postgresql.org site (which says "If you are using the 1.6 JVM, then you should use the JDBC4 version"), and it seems to work great for me under OpenJDK from Fedora 11.
Comment 2 Tom Lane 2009-06-28 13:23:29 EDT
AFAIK postgresql-jdbc.jar is a perfectly good JDBC4 driver, or at least it has as much JDBC4 support as is available from upstream.  It is not my intention to ship a postgresql-jdbc4.jar symlink, unless someone explains to me why one is needed.
Comment 3 Alexander Kurtakov 2011-07-28 01:36:24 EDT
I would do this one. Initial comments based on getting a smaller spec for the official review:
* would you please drop gcj_support from the spec to remove a good number of lines :)
* Requires(post|postun): jpackage-utils and %post/postun %update_maven_depmap are no longer needed on F15+
* empty "export CLASSPATH=" line can be removed
* rm -rf ${RPM_BUILD_ROOT} in %install and %clean section can be removed in modern fedoras
* %add_to_maven_depmap postgresql postgresql %{version} JPP postgresql-jdbc should become %add_maven_depmap JPP-postgresql-jdbc.pom %{name}.jar - it's quite more simple and detects groupId:artifactId automatically
* %defattr(-,root,root) is no longer needed
* there is no need in installing %{_javadir}/%{name}-%{version}.jar as per java guidelines %{_javadir}/%{name}.jar should be the default and versioned one is not needed
* ant jar publicapi should be called and javadoc subpackage should be installed
* BuildRoot definition can be safely removed

Once these are done I'll do the official review. Or if you want I can do the changes and commit them push a new build - they shouldn't take more than 10 mins.
Comment 4 Cole Robinson 2015-02-11 15:38:27 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 5 Jan Kurik 2015-07-15 11:24:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 6 Fedora End Of Life 2016-11-24 05:20:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Pavel Raiskup 2016-11-24 06:05:59 EST
Alex, as you are the only one commenting the package, I'm just curious
whether you aren't interested in package review?  There has happened
a lot during last ~2years, and review would be appreciated.

Otherwise, I would close this "WONTFIX" and anybody would be free to
re-open later.
Comment 8 Alexander Kurtakov 2016-11-24 07:34:56 EST
Please close, I don't have time for this now.
Comment 9 Pavel Raiskup 2016-11-24 07:37:52 EST
The package looks to be in reasonable shape, but if there was volunteer for
review - feel free to reopen.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.